Uploaded image for project: 'Jenkins Artifactory Plug-in'
  1. Jenkins Artifactory Plug-in
  2. HAP-364

Subversion related operations does not respect the value of "Subversion Workspace Version"

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.1.3
    • Fix Version/s: 2.1.4
    • Component/s: None
    • Labels:

      Description

      The Jenkins Subversion plugin allows configuring the "Subversion Workspace Version" - Different versions of Subversion clients store data differently in the .svn directories. This option controls which version of Subversion client Jenkins emulates.
      When creating an SVNBasicClient, the subversion plugin always sets the value of primaryWcGeneration to the one configured in "Subversion Workspace Version" (see SvnClientManager.java).

      When performing SVN related operations such as tagging the Artifactory Jenkins plugin does not respect the "Subversion Workspace Version" causing the subversion client to use the latest version it supports (currently 1.7).
      This can lead to E155021: Unsupported working copy format errors if the "Subversion Workspace Version" is not compatible with the used version.

        Attachments

          Activity

            People

            • Assignee:
              ronm Ron Mamo (Inactive)
              Reporter:
              drorb Dror Bereznitsky
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: